### MergeSamFiles

Merges multiple SAM/BAM files into one file.

Option | Description
--- | ---
INPUT=File | SAM or BAM input file This option must be specified at least 1 times.
OUTPUT=File | SAM or BAM file to write merged result to Required.
SORT_ORDER=SortOrder | Sort order of output file Default value: coordinate. This option can be set to 'null' to clear the default value. Possible values: {unsorted, queryname, coordinate}
ASSUME_SORTED=Boolean | If true, assume that the input files are in the same sort order as the requested output sort order, even if their headers say otherwise. Default value: false. This option can be set to 'null' to clear the default value. Possible values: {true, false}
MERGE_SEQUENCE_DICTIONARIES=Boolean | Merge the seqeunce dictionaries Default value: false. This option can be set to 'null' to clear the default value. Possible values: {true, false}

USE_THREADING=Boolean

Option to enable a simple two-thread producer consumer version of the merge algorithm that uses one thread to read and merge the records from the input files and another thread to encode, compress and write to disk the output file. The threaded version uses about 20% more CPU and decreases runtime by ~20% when writing out a compressed BAM file. Default value: false. This option can be set to 'null' to clear the default value. Possible values: {true, false}

COMMENT=String | Comment(s) to include in the merged output file's header. This option may be specified 0 or more times.